library verilog;
use verilog.vl_types.all;
entity SMEV is
    generic(
        TS_WIDTH        : integer := 6;
        ALLOW_USER_EV   : integer := 1;
        ALLOW_DLPF      : integer := 0;
        ALLOW_A_PLUS_B  : integer := 0;
        ALLOW_A_MINUS_B : integer := 0;
        ALLOW_A_GT_B    : integer := 1;
        EV_ASIZE        : integer := 9;
        ST_CNT_WIDTH    : integer := 5;
        USE_NON_G3      : integer := 0
    );
    port(
        CLK             : in     vl_logic;
        NRESET          : in     vl_logic;
        ASSC_SEQOUT     : in     vl_logic_vector;
        ASSC_SEQCHANGE  : in     vl_logic;
        ASSC_DONE       : in     vl_logic;
        ASSC_SAMPFLAG   : in     vl_logic;
        ADC_CHNR        : in     vl_logic_vector(4 downto 0);
        EV_CHHOLD       : out    vl_logic_vector(4 downto 0);
        INIT_ADDR       : in     vl_logic_vector;
        INIT_EV_WR      : in     vl_logic;
        INIT_DI         : in     vl_logic_vector(8 downto 0);
        INIT_DONE       : in     vl_logic;
        USER_EV_ADDR    : in     vl_logic_vector;
        USER_EV_RD      : in     vl_logic;
        USER_EV_RAM_BUSY: out    vl_logic;
        TR_EV_ADDR      : in     vl_logic_vector;
        TR_EV_RD        : in     vl_logic;
        EV_EVFLAG       : out    vl_logic;
        EV_DONE         : out    vl_logic;
        EV_ASSC_ADDR    : out    vl_logic_vector(8 downto 0);
        EV_ASSC_RD      : out    vl_logic;
        ASSC_RAM_DO_A   : in     vl_logic_vector(8 downto 0);
        ASSC_RAM_WR_BUSY_B: in     vl_logic;
        EV_RAM_ADDR_A   : out    vl_logic_vector;
        EV_RAM_RW_A     : out    vl_logic;
        EV_RAM_CSN_A    : out    vl_logic;
        EV_RAM_DI_A     : out    vl_logic_vector(8 downto 0);
        EV_RAM_ADDR_B   : out    vl_logic_vector;
        EV_RAM_RW_B     : out    vl_logic;
        EV_RAM_CSN_B    : out    vl_logic;
        EV_RAM_DI_B     : out    vl_logic_vector(8 downto 0);
        EV_RAM_DO_B     : in     vl_logic_vector(8 downto 0);
        EV_RAM_WR_BUSY_B: out    vl_logic
    );
end SMEV;
