// Generated by WaveFormer Lite Version 11.11d at 15:6:17 on 1/30/2007
// Stimulator for stimulus

// Generation Settings:
//   Export type: Stimulus only (reactive export not enabled)
//                Delays, Samples, Markers, etc will not generate code.

// Clock Domains:

//   Unclocked
//   ---------
//     Signals:
//       SYSRSTn
//       AV0
//       AC0
//       AV1
//       AC1
//       AV2
//       AC2
//       AV3
//       AC3
//       AV4
//       AC4
//       AV5
//       AC5


`define TB_ABORT (3'b000)
`define TB_ONCE (3'b001)
`define TB_DONE (3'b010)
`define TB_LOOPING (3'b011)
`define TB_RESTART (3'b100)
`define TB_END (3'b101)
`timescale  1 ns /  1 ps

module stimulus(SYSCLK, SYSRSTn, VAREF, AV0, AC0, AV1, AC1, AV2, AC2, AV3, AC3, AV4, AC4, AV5, AC5, Diff0, Diff1, Diff2, Diff3, Diff4, Diff5, Latest_Update, New_Measurement, PUB, SPARE);
  output SYSCLK;
  output SYSRSTn;
  inout VAREF;
  output AV0;
  output AC0;
  output AV1;
  output AC1;
  output AV2;
  output AC2;
  output AV3;
  output AC3;
  output AV4;
  output AC4;
  output AV5;
  output AC5;
  input [11:0] Diff0;
  input [11:0] Diff1;
  input [11:0] Diff2;
  input [11:0] Diff3;
  input [11:0] Diff4;
  input [11:0] Diff5;
  input [2:0] Latest_Update;
  input New_Measurement;
  output PUB;
  input SPARE;
  reg SYSRSTn_driver;
  reg VAREF_driver;
  real AV0_driver;
  real AC0_driver;
  real AV1_driver;
  real AC1_driver;
  real AV2_driver;
  real AC2_driver;
  real AV3_driver;
  real AC3_driver;
  real AV4_driver;
  real AC4_driver;
  real AV5_driver;
  real AC5_driver;
  reg PUB_driver;
  assign SYSRSTn = SYSRSTn_driver;
  assign VAREF = VAREF_driver;
  drive_analog_input analog_AV0_driver($realtobits(AV0_driver), AV0);
  drive_analog_input analog_AC0_driver($realtobits(AC0_driver), AC0);
  drive_analog_input analog_AV1_driver($realtobits(AV1_driver), AV1);
  drive_analog_input analog_AC1_driver($realtobits(AC1_driver), AC1);
  drive_analog_input analog_AV2_driver($realtobits(AV2_driver), AV2);
  drive_analog_input analog_AC2_driver($realtobits(AC2_driver), AC2);
  drive_analog_input analog_AV3_driver($realtobits(AV3_driver), AV3);
  drive_analog_input analog_AC3_driver($realtobits(AC3_driver), AC3);
  drive_analog_input analog_AV4_driver($realtobits(AV4_driver), AV4);
  drive_analog_input analog_AC4_driver($realtobits(AC4_driver), AC4);
  drive_analog_input analog_AV5_driver($realtobits(AV5_driver), AV5);
  drive_analog_input analog_AC5_driver($realtobits(AC5_driver), AC5);
  assign PUB = PUB_driver;


  // Control Signal Declarations
  reg [2:0] tb_status;

  // Parm Declarations
  real SYSCLK_MinHL;
  real SYSCLK_MaxHL;
  real SYSCLK_MinLH;
  real SYSCLK_MaxLH;
  real SYSCLK_JFall;
  real SYSCLK_JRise;
  real SYSCLK_Duty;
  real SYSCLK_Period;
  real SYSCLK_Offset;


  // The following initial block will start up the stimulator.
  initial
    begin
    AssignParms;
    tb_status <= `TB_ONCE;
    Unclocked;
    tb_status <= `TB_DONE;
    $display("Note: At %t: End of stimulus reached.  Use End Diagram Marker to extend or shorten stimulus.", $time);
    end

  // Parm Assignment Task
  task AssignParms;
    begin
    SYSCLK_MinHL = 0.0;
    SYSCLK_MaxHL = 0.0;
    SYSCLK_MinLH = 0.0;
    SYSCLK_MaxLH = 0.0;
    SYSCLK_JFall = 0.0;
    SYSCLK_JRise = 0.0;
    SYSCLK_Duty = 50.0;
    SYSCLK_Period = 100.0;
    SYSCLK_Offset = 0.0;
    end
  endtask

  // Clocks

  // Clock Instantiation
  wire [63:0] SYSCLK_Offset_bits = $realtobits(SYSCLK_Offset);
  wire [63:0] SYSCLK_Period_bits = $realtobits(SYSCLK_Period);
  wire [63:0] SYSCLK_Duty_bits = $realtobits(SYSCLK_Duty);
  wire [63:0] SYSCLK_JRise_bits = $realtobits(SYSCLK_JRise);
  wire [63:0] SYSCLK_JFall_bits = $realtobits(SYSCLK_JFall);
  wire [63:0] SYSCLK_MinLH_bits = $realtobits(SYSCLK_MinLH);
  wire [63:0] SYSCLK_MaxLH_bits = $realtobits(SYSCLK_MaxLH);
  wire [63:0] SYSCLK_MinHL_bits = $realtobits(SYSCLK_MinHL);
  wire [63:0] SYSCLK_MaxHL_bits = $realtobits(SYSCLK_MaxHL);
  tb_clock_minmax #(1) tb_SYSCLK(tb_status[1:0],
            SYSCLK,
            SYSCLK_Offset_bits,
            SYSCLK_Period_bits,
            SYSCLK_Duty_bits,
            SYSCLK_MinLH_bits,
            SYSCLK_MaxLH_bits,
            SYSCLK_MinHL_bits,
            SYSCLK_MaxHL_bits,
            SYSCLK_JRise_bits,
            SYSCLK_JFall_bits);

  // Clocked Sequences

  // Sequence: Unclocked

  // Drive signals to their initial values
  initial
    begin
    SYSRSTn_driver <= 1'b0;
    AV0_driver <= 3.1;
    AC0_driver <= 0.5;
    AV1_driver <= 2.56;
    AC1_driver <= 0.1;
    AV2_driver <= 1.45;
    AC2_driver <= 2.2;
    AV3_driver <= 0.6;
    AC3_driver <= 0.8;
    AV4_driver <= 2.7;
    AC4_driver <= 1.1;
    AV5_driver <= 3.1;
    AC5_driver <= 0.75;
    end

  task Unclocked;
    begin
    #426;
    SYSRSTn_driver <= 1'b1;
    #240826;
    AV2_driver <= 1.77;
    #10000;
    AC1_driver <= 0.5;
    #145001;
    AC3_driver <= 1.0;
    #105001;
    AV0_driver <= 2.9;
    #61251;
    AV2_driver <= 2.05;
    #135001;
    AV1_driver <= 2.8;
    #7500;
    AC0_driver <= 0.9;
    #40000;
    AC2_driver <= 1.85;
    #16250;
    AV3_driver <= 1.2;
    #121251;
    AV2_driver <= 1.76;
    #5000;
    AC1_driver <= 2.2;
    #82501;
    AV0_driver <= 2.75;
    #22500;
    AC5_driver <= 1.55;
    #1250;
    AV5_driver <= 2.85;
    #118751;
    AC3_driver <= 1.5;
    #6250;
    AC4_driver <= 1.3;
    #36251;
    AV2_driver <= 2.7;
    #33750;
    AV1_driver <= 3.2;
    #22500;
    AC0_driver <= 1.1;
    #163752;
    AC1_driver <= 1.85;
    #102500;
    AV2_driver <= 3.2;
    #40001;
    AV0_driver <= 1.95;
    #252502;
    AV2_driver <= 3.0;
    #6250;
    AC1_driver <= 1.35;
    #318753;
    end
  endtask
endmodule

// Clock models used by diagram.

// Copied contents of file: C:\SynaptiCAD\lib\verilog\tb_clock_minmax.v

module tb_clock_minmax(tb_status, CLK, offset_bits, period_bits, duty_bits, minLH_bits, maxLH_bits, minHL_bits, maxHL_bits, jRise_bits, jFall_bits);
  parameter initialize = 0;

  input [1:0] tb_status;
  output CLK;
  input [63:0] offset_bits;
  input [63:0] period_bits;
  input [63:0] duty_bits;
  input [63:0] minLH_bits;
  input [63:0] maxLH_bits;
  input [63:0] minHL_bits;
  input [63:0] maxHL_bits;
  input [63:0] jRise_bits;
  input [63:0] jFall_bits;

  reg  CLK;
  real offset;
  real period;
  real duty;
  real minLH;
  real maxLH;
  real minHL;
  real maxHL;
  real jRise;
  real jFall;
  real CLK_high;
  real CLK_low;
 
  task DriveLHInvalidRegion;
    begin
    if ( (jRise + maxLH - minLH) > 0.0 )
      begin
      CLK <= 1'bx;
      #((jRise + maxLH - minLH));
      end
    end
  endtask

  task DriveHLInvalidRegion;
    begin
    if ( (jFall + maxHL - minHL) > 0.0 )
      begin
      CLK <= 1'bx;
      #((jFall + maxHL - minHL));
      end
    end
  endtask

  always
    begin
    @(posedge tb_status[0])
    offset = $bitstoreal( offset_bits );
    period = $bitstoreal( period_bits );
    duty  = $bitstoreal( duty_bits );
    minLH = $bitstoreal( minLH_bits );
    maxLH = $bitstoreal( maxLH_bits );
    minHL = $bitstoreal( minHL_bits );
    maxHL = $bitstoreal( maxHL_bits );
    jRise = $bitstoreal( jRise_bits );
    jFall = $bitstoreal( jFall_bits );
    if (period <= 0.0)
      $display("Error: Period for clock %m is invalid (period=%f).  Clock will not be driven", period);
    else if (duty <= 0.0)
      $display("Error: Duty for clock %m is invalid (duty=%f).  Clock will not be driven", duty);
    else
      begin
      CLK_high = period * duty / 100;
      CLK_low = period - CLK_high;
      
      if ( (offset + (minLH - jRise/2)) >= 0.0 )
        begin
        if (initialize)
          CLK <= 1'b0; // drive initial state
        #(offset + (minLH - jRise/2))
        ;
        end
      else
        begin // wait for x
        if (initialize)
          CLK <= 1'bx; // in middle of X region, init to X
        #((jRise/2 + maxLH) + (offset))
        CLK <= 1'b1;
        #((CLK_high - (maxLH + jRise/2) + (minHL - jFall/2)))
        DriveHLInvalidRegion;
        CLK <= 1'b0;
        #((CLK_low - (maxHL + jFall/2) + (minLH - jRise/2)))
        ;
        end
  
      while ( tb_status[0] == 1'b1 )
        begin : clock_loop
        DriveLHInvalidRegion;
        CLK <= 1'b1;
        #((CLK_high - (maxLH + jRise/2) + (minHL - jFall/2)))
        DriveHLInvalidRegion;
        CLK <= 1'b0;
        #((CLK_low - (maxHL + jFall/2) + (minLH - jRise/2)))
        ;
        end
      end
    end
endmodule

// End of contents of file: C:\SynaptiCAD\lib\verilog\tb_clock_minmax.v

// Test Bench wrapper for stimulus and Model Under Test

module testbench;
  wire SYSCLK;
  wire SYSRSTn;
  wire VAREF;
  wire AV0;
  wire AC0;
  wire AV1;
  wire AC1;
  wire AV2;
  wire AC2;
  wire AV3;
  wire AC3;
  wire AV4;
  wire AC4;
  wire AV5;
  wire AC5;
  wire [11:0] Diff0;
  wire [11:0] Diff1;
  wire [11:0] Diff2;
  wire [11:0] Diff3;
  wire [11:0] Diff4;
  wire [11:0] Diff5;
  wire [2:0] Latest_Update;
  wire New_Measurement;
  wire PUB;
  wire SPARE;

  // Stimulator instance
  stimulus stimulus_0(.SYSCLK(SYSCLK),
            .SYSRSTn(SYSRSTn),
            .VAREF(VAREF),
            .AV0(AV0),
            .AC0(AC0),
            .AV1(AV1),
            .AC1(AC1),
            .AV2(AV2),
            .AC2(AC2),
            .AV3(AV3),
            .AC3(AC3),
            .AV4(AV4),
            .AC4(AC4),
            .AV5(AV5),
            .AC5(AC5),
            .Diff0(Diff0),
            .Diff1(Diff1),
            .Diff2(Diff2),
            .Diff3(Diff3),
            .Diff4(Diff4),
            .Diff5(Diff5),
            .Latest_Update(Latest_Update),
            .New_Measurement(New_Measurement),
            .PUB(PUB),
            .SPARE(SPARE));

  // Instantiation of Model Under Test.
  TOP_CM TOP_CM_0(.SYSCLK(SYSCLK),
            .SYSRSTn(SYSRSTn),
            .VAREF(VAREF),
            .AV0(AV0),
            .AC0(AC0),
            .AV1(AV1),
            .AC1(AC1),
            .AV2(AV2),
            .AC2(AC2),
            .AV3(AV3),
            .AC3(AC3),
            .AV4(AV4),
            .AC4(AC4),
            .AV5(AV5),
            .AC5(AC5),
            .Diff0(Diff0),
            .Diff1(Diff1),
            .Diff2(Diff2),
            .Diff3(Diff3),
            .Diff4(Diff4),
            .Diff5(Diff5),
            .Latest_Update(Latest_Update),
            .New_Measurement(New_Measurement),
            .PUB(PUB),
            .SPARE(SPARE));
endmodule
